Subject: Q: Errors involving End Of Data (<<EOF) constructs
From: [email-masked] (Tim Endres)

14 Nov 1996 00:51:39 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
Original-To: "[email-masked]" <[email-masked]>
Original-Sender: [email-masked]

When I try to build less-290, and I run configure, I get repeated =
complaints about a file not being found (./configure: 12780516: No such =
file or directory).

I have tracked this down to the use of the inline data construct to cat =
small
C programs into files to be compiled on the fly. This looks something =
like
the following:

cat > file.c <<EOF
int
main( int argc, char *argv )
	{
	return 0;
	}
EOF

When the shell script hits this line it gives the complaint about not =
being able to find the file in question (a name that looks like its a =
number).

The cygnus site shows that someone has successfully compiled less-290, =
so someone must have run into this?

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".